# Integrators Guide

Integrators, please take note of the guidance here as a consistent experience across the Algorand ecosystem is critical for users.

Make sure you're familiar with the 'views' of data as referenced at [Quick Start](/quick-start.md#views-in-get-requests)

Remember, NFDs are user-owned metadata on-chain, discoverable by name or Algorand address (including contract accounts !).  Users and services (with users permission) can store whatever they want in their NFDs.

Services may use NFDs as user profiles if they wish.  The user has already done the work.  Just use that instead of creating your own profile system that is isolated to just your product.

Services may have preferences or other metadata that they want to share with other protocols they control, or even the broader ecosystem.  They can provide transactions for the user to sign to update their NFD with that metadata and use that on-chain data easily via any Algorand node or smart-contract.  Decentralized on-chain storage, owned by the user.

Refer to the subsequent sections for common access use-cases.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.nf.domains/reference/integrators-guide.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
